Bug 69290 - magicfilter not re-entrant?
Summary: magicfilter not re-entrant?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-20 02:41 UTC by rdt
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 15:40:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rdt 2002-07-20 02:41:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3 i586)

Description of problem:
Multiple dvips | lpr  jobs that overlap seem to hang arbitrarily,
requiring lpc> kill to restart lpd.  If I separate the print jobs so that I
don't dvips a file until the previous run of mf_filter has terminated, they
print perfectly.  

Version-Release number of selected component (if applicable):
printconf-0.3.77-1

How reproducible:
Sometimes

Steps to Reproduce:
1. dvips a1.dvi; dvips a2.dvi; dvips a3.dvi; ...
2.
3.
	

Actual Results:  Printing system hangs after two or three jobs print, 
requiring lpc> kill to restart it.

Expected Results:  Printing of a1.ps, a2.ps, a3.ps, ...

Additional info:

The files print normally if the dvips steps are done separately,
instead of in rapid succession.

Comment 1 Tim Waugh 2002-07-22 20:51:26 UTC
I have had several reports of similar behaviour to this, but haven't yet been 
able to track it down.  Any help would be appreciated!

Comment 2 rdt 2002-07-22 23:47:34 UTC
This might be a clue:  if I save dvips output as Postscript files, and do
lpr a1.ps; lpr a2.ps; ... , I don't seem to get the problem (two tests only).
So maybe it's interference between dvips and the printing system.

Comment 3 Tim Waugh 2004-12-10 15:40:50 UTC
No longer use magicfilter.


Note You need to log in before you can comment on or make changes to this bug.